Package org.eclipse.jdt.ui.text.java

# Interface IQuickAssistProcessor

public interface IQuickAssistProcessor
Interface to be implemented by contributors to the extension point `org.eclipse.jdt.ui.quickAssistProcessors`.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`IJavaCompletionProposal[]`
`getAssists(IInvocationContext context, IProblemLocation[] locations)`
Collects quick assists for the given context.
`boolean`
`hasAssists(IInvocationContext context)`
Evaluates if quick assists can be created for the given context.

## Method Details

### hasAssists

boolean hasAssists(IInvocationContext context) throws CoreException
Evaluates if quick assists can be created for the given context. This evaluation must be precise.

Parameters:
  `context` - The invocation context
Returns:
  Returns `true` if quick assists can be created
Throws:
  `CoreException` - CoreException can be thrown if the operation fails

### getAssists

IJavaCompletionProposal[] getAssists(IInvocationContext context, IProblemLocation[] locations) throws CoreException
Collects quick assists for the given context.

Parameters:
  `context` - Defines current compilation unit, position and a shared AST
  `locations` - The locations of problems at the invocation offset. The processor can decide to only add assists when there are no errors at the selection offset.
Returns:
  Returns the assists applicable at the location or `null` if no proposals can be offered.
Throws:
  `CoreException` - CoreException can be thrown if the operation fails